package com.elitesland.metadata.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 12:39 PM
 */
@Data
@ApiModel("元数据-列定义")
public class MetaColumnVO implements Serializable {

    private static final long serialVersionUID = -3849133518671284094L;

    @ApiModelProperty("记录ID")
    Long id;

    @ApiModelProperty(value = "表记录ID")
    Long tableId;

    @ApiModelProperty(value = "表编码")
    String tableCode;

    @ApiModelProperty(value = "表字段ID")
    Long fieldId;

    @ApiModelProperty(value = "表字段编码")
    String fieldCode;

    @ApiModelProperty(value = "UDC的Domain Code")
    String udcDomainCode;

    @ApiModelProperty(value = "UDC的UDC Code")
    String udcCode;

    @ApiModelProperty(value = "UDC默认描述")
    String udcDesc;

    @ApiModelProperty(value = "页面元素类型")
    String pageElement;

    @ApiModelProperty(value = "页面标签")
    String pageLabel;

    @ApiModelProperty(value = "移动端页面元素类型")
    String mobileElement;

    @ApiModelProperty(value = "移动端页面标签")
    String mobileLabel;

}
