package com.elitesland.org.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel("雇员标签")
public class EmployeeTagVO implements Serializable {

    private static final long serialVersionUID = 6411949751581720727L;

    @ApiModelProperty("记录ID")
    @JsonSerialize(using = ToStringSerializer.class)
    Long id;

    @ApiModelProperty(value = "标签名称")
    String tagName;

    @ApiModelProperty("雇员列表")
    List<EmployeeVO> employees;
}
